
Figure - Bug #112044
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】小窗Mini模式恢复至正常模式后，小窗位置没有发生变化
2022-09-20 17:34 - CD Test赵飞

Status: CLOSED Start date: 2022-09-20

Priority: High Due date: 2022-09-27

Assignee: CD Test赵飞 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_update_20221012

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220920.alpha_0016

Resolution: FIXED Degrated: --

Severity: Major Verified Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

Reproducibility: Every time Fixed Version: 2022-10-08

Test Type: IT Root cause: 没有进行位置改变的逻辑处理，只改变了形态

Description

测试版本：FlatBuild_VX1_MCE_xx.xx_FSE.R.userdebug.0.0.0.20220920.alpha_0016

【前提条件】

1、设备已开机

2、后台未运行任何应用

【测试步骤】

1、长按桌面上任意一个支持小窗的应用（如“设置”）

2、在弹出的菜单中点击“小窗”

3、拖动小窗至屏幕左下角（或右下角）使小窗切换为Mini模式并悬挂在屏幕左下角（或右下角）

4、点击Mini模式下的小窗的任意位置

【预期结果】

4、小窗切换到正常模式，小窗位置也恢复到正常模式的位置

【实际结果】

4、小窗切换到正常模式，小窗位置没有恢复，仍然在左下角或右下角

【复现率】

5/5

【Log】

录屏见附件

History

#1 - 2022-09-20 17:38 - CD Test赵飞

- Assignee set to DL FW-张挽强

#2 - 2022-09-26 17:18 - DL FW-张挽强

初步分析:

与需求确认小窗变成正常状态需要修改位置,不过根据UX_VX1_FSE_V1.2_小窗模式_20220913没有明确说名位置需要改变,之后增加关于切换状态改变位置

的逻辑
#3 - 2022-09-26 17:54 - DL FW-王琳

- Target version set to VX1_MCE_FSE_B sample_20221016

#4 - 2022-09-27 15:18 - CDTS_TEST 王成

- Priority changed from Normal to High

- Severity changed from Normal to Major

#5 - 2022-09-27 16:13 - CDTS-TEST 周婷

- Assignee changed from DL FW-张挽强 to DL FW-王琳

需确认是功能bug 还是涉及UI 确认

#6 - 2022-09-27 19:22 - CD TPM-申艳艳

- Category changed from CD-FW to 窗口定制

#7 - 2022-09-28 19:57 - DL FW-王琳

- Status changed from New to ASSIGNED

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#8 - 2022-10-08 14:44 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-10-08

- Root cause set to 没有进行位置改变的逻辑处理，只改变了形态

#9 - 2022-10-08 16:50 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_B sample_20221016 to VX1_MCE_FSE_V2.0_update_20221012

10.12号交付版本与10.15号的是同一个版本

#10 - 2022-10-10 11:26 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

验证版本：FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221010.alpha

验证结果：PASS

#11 - 2022-10-10 11:27 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

#12 - 2022-12-22 20:38 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

152569 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

zhangwq0711@thundersoft.com
AF:MultiWindow:fixed freeform status switch, freeform position drop point1.fixed freeform status switch, freeform position drop pointTC-RID:

1201-0204601IssueID: TS-R-BUG-112044Change-Id: I4833fb533f766dbadc3ce30528322c631fbd339c

Files

screenrecord(1).mp4 1.45 MB 2022-09-20 CD Test赵飞
